petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFindMPIInt

Finds MPI integer in a sorted array of integers

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFindMPIInt(PetscMPIInt key, PetscInt n, const PetscMPIInt X[], PetscInt *loc)

Not Collective

### Input Parameters

| key | - the integer to locate
| n | - number of values in the array
| X | - array of integers

### Output Parameter

loc -the location if found, otherwise -(slot+1) where slot is the place the value would go

### See Also

PetscSortInt(), PetscSortIntWithArray(), PetscSortRemoveDupsInt()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages